From 142b3d74fe477cc9fbee4fbf152ee513bf6aa6b0 Mon Sep 17 00:00:00 2001
From: Jeffy Chen <jeffy.chen@rock-chips.com>
Date: Wed, 25 Oct 2023 17:02:37 +0800
Subject: [PATCH 94/98] compositor: Fix crash when removing output

Don't try to schedule repaint on a destroying output.

Signed-off-by: Jeffy Chen <jeffy.chen@rock-chips.com>
---
 libweston/compositor.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/libweston/compositor.c b/libweston/compositor.c
index 3cab1ec..c90f385 100644
--- a/libweston/compositor.c
+++ b/libweston/compositor.c
@@ -4149,6 +4149,9 @@ weston_output_schedule_repaint(struct weston_output *output)
 	struct weston_compositor *compositor = output->compositor;
 	struct wl_event_loop *loop;
 
+	if (output->destroying)
+		return;
+
 	if (compositor->state == WESTON_COMPOSITOR_SLEEPING ||
 	    compositor->state == WESTON_COMPOSITOR_OFFSCREEN)
 		return;
-- 
2.20.1

